package geniusweb.profilesserver.events;

import geniusweb.issuevalue.Domain;

public class DomainChangeEvent implements ChangeEvent {

	private Domain olddomain;
	private Domain newdomain;

	public DomainChangeEvent(Domain olddomain, Domain newdomain) {
		this.olddomain = olddomain;
		this.newdomain = newdomain;
	}

	/**
	 * @return the old domain after the change. May be null if the domain did
	 *         not exist .
	 */
	public Domain getOldDomain() {
		return olddomain;
	}

	/**
	 * @return the new domain after the change. May be null if the domain does
	 *         not exist anymore or is unparsable.
	 */
	public Domain getnewDomain() {
		return newdomain;
	}
}
